{% extends "base.html" %}
{% load static %}
{% load i18n %}
{% block content %}
    <!-- ===============>> Banner section start here <<================= -->
    <section class="banner brand-1">
        <div class="container">
            <div class="banner__wrapper">

                <!-- banner content -->
                <div class="banner__content banner__content--style1" data-aos="zoom-in" data-aos-duration="1000">
                    <h1>{{ homepage.title }}</h1>
                    <p>{{ homepage.description }}</p>
                    <div class="btn-group justify-content-center">
                        <a href="{% url "accounts:signup" %}" class="trk-btn trk-btn--rounded trk-btn--primary1">{% trans "Get Started" %}</a>
                        <a href="{{ homepage.video_link }}" class="play-btn" data-fslightbox>
                            <img src="{% static "assets/images/icon/svg/4.svg" %}" alt="play-btn">
                            {% trans "Watch Video" %}</a>
                    </div>
                </div>

                <!-- banner images -->
                <div class="banner-image">
                    <div class="row">
                        <div class="col-lg-4 col-md-4 col-4">
                            <div class="banner-image__item" data-aos="fade-right" data-aos-duration="1000">
                                <div class="banner-image__item-inner ">
                                    <img src="{% static "assets/images/banner/1.png" %}" alt="banner-image-banner">
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-4 col-4">
                            <div class="banner-image__item" data-aos="fade-up" data-aos-duration="1000">
                                <div class="banner-image__item-inner banner-image__item-inner--style2">
                                    <img src="{% static "assets/images/banner/2.png" %}" alt="banner-image-banner">
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-4 col-4">
                            <div class="banner-image__item" data-aos="fade-left" data-aos-duration="1000">
                                <div class="banner-image__item-inner">
                                    <img src="{% static "assets/images/banner/3.png" %}" alt="banner-image-banner">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="banner__shape banner__shape--style1">
            <span class="banner__shape-item banner__shape-item--animation"><img src="{% static "assets/images/shape/home1/1.png" %}"
                    alt="roket"></span>
            <span class="banner__shape-item banner__shpae-item--animation"><img src="{% static "assets/images/shape/home1/2.png" %}"
                    alt="book"></span>
            <span class="banner__shape-item banner__shpae-item--animation"><img src="{% static "assets/images/shape/home1/3.png" %}"
                    alt="belon"></span>
            <span class="banner__shape-item banner__shpae-item--animation"><img src="{% static "assets/images/shape/home1/4.png" %}"
                    alt="triangle"></span>
            <span class="banner__shape-item banner__shpae-item--animation"><img src="{% static "assets/images/shape/home1/5.png" %}"
                    alt="circle"></span>
            <div class="banner__shape-item">
                <div class="reviews">
                    <div class="reviews__content">
                        <p><span class="purecounter" data-purecounter-start="300" data-purecounter-end="365"
                                data-purecounter-once="false">10</span>k+ {% trans "enrolled students" %}</p>
                    </div>
                    <div class="reviews__thumb">
                        <ul>
                            <li><img src="{% static "assets/images/community/avator/home1/1.png" %}" alt="user image"></li>
                            <li><img src="{% static "assets/images/community/avator/home1/2.png" %}" alt="user image"></li>
                            <li><img src="{% static "assets/images/community/avator/home1/3.png" %}" alt="user image"></li>
                            <li><img src="{% static "assets/images/community/avator/home1/4.png" %}" alt="user image"></li>
                            <li><img src="{% static "assets/images/community/avator/home1/5.png" %}" alt="user image"></li>
                            <li><img src="{% static "assets/images/community/avator/home1/6.png" %}" alt="user image"></li>
                            <li><img src="{% static "assets/images/community/avator/home1/7.png" %}" alt="user image"></li>
                            <li>
                                <div class="count">
                                    <p class="mb-0"><span class="purecounter" data-purecounter-start="0"
                                            data-purecounter-end="50" data-purecounter-once="false">50</span> <span
                                            class="plus">+</span></p>

                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>

    </section>

    <!-- ===============>> Banner section end here <<================= -->




    <!-- ===============>> Course categories section start here <<================= -->
    <section class="categories categories--style1  padding-bottom brand1-bg-1">
        <div class="container">
            <div class="categories__wrapper">
                <div class="row g-4">
                    <div class="col-lg-4" data-aos="fade-right" data-aos-duration="800">
                        <div class="section-header pe-3">
                            <h2> {% trans "Explore" %}<br> {% trans "Our Categories" %}</h2>
                            <p>{{ homepage.category_description }}</p>
                            <a href="{% url 'cource:cource_list' %}" class="trk-btn trk-btn--rounded trk-btn--secondary1">{% trans "Explore Categories" %}</a>
                        </div>
                    </div>
                    <div class="col-lg-8">
                        <div class="row g-4" data-aos="fade-left" data-aos-duration="800">
                            {% for cat in category_cource %}
                                <div class="col-lg-3 col-md-3 col-sm-3 col-4">
                                    <div class="categories__item">
                                        <div class="categories__item-inner">
                                            <div class="categories__thumb categories__thumb--cat{{ cat.style }}">
                                                <img src="{{ cat.icon.url }}" alt="course icon">
                                            </div>

                                            <div class="categories__item-content">
                                                <a href="{% url "cource:cource_category" cat.id %}" class="stretched-link active">{{ cat.name }}</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- ===============>> Course categories section end here <<================= -->




    <!-- ===============>> About section start here <<================= -->
    <section class="about about--style1 padding-top padding-bottom">
        <div class="container">
            <div class="about__wrapper">
                <div class="row gx-4 gy-5 align-items-center">
                    <div class="col-lg-6">
                        <div class="about__thumb" data-aos="fade-right" data-aos-duration="800">
                            <div class="about__thumb-inner">
                                <div class="about__thumb-image">
                                    <img src="{{ homepage.about_photo.url }}" alt="about-image">
                                    <div class="about__thumb-video">
                                        <img src="{{ homepage.about_video_photo.url }}" alt="intro-thumbil">
                                        <div class="about__thumb-plybtn">
                                            <a href="{{ homepage.about_video_link }}" data-fslightbox><img
                                                    src="{% static 'assets/images/about/play-icon.png' %}" alt="ply-btn"></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="about__content" data-aos="fade-left" data-aos-duration="800">
                            <div class="about__content-inner">
                                <span class="title"><u>{% trans "About Us" %}</u></span>
                                <h2>{% trans "We Are Maximize Your Learning Growth" %}</h2>
                                <p>{{ homepage.about_description }}</p>
                                <ul class="about-list">
                                    <li> <img src="{% static 'assets/images/icon/svg/1.svg' %}" alt="list-icon"> {% trans "Training Services" %}</li>
                                    <li> <img src="{% static 'assets/images/icon/svg/1.svg' %}" alt="list-icon"> {% trans "Support Service" %}</li>
                                    <li> <img src="{% static 'assets/images/icon/svg/1.svg' %}" alt="list-icon"> {% trans "Software Quality" %}</li>
                                    <li> <img src="{% static 'assets/images/icon/svg/1.svg' %}" alt="list-icon"> {% trans "Internship" %}</li>
                                </ul>
                                <a href="{% url 'home:about' %}" class="trk-btn trk-btn--rounded trk-btn--secondary1">{% trans "Explore More +" %}</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- ===============>> About section start here <<================= -->



    <!-- ===============>> Popular course section start here <<================= -->

    <section class="course course--style1 padding-top padding-bottom brand-1">
        <div class="container-fluid px-lg-0" data-aos="fade-up" data-aos-duration="800">
            <div class="section-header text-center section-header--dark">
                <h2>{% trans "Our Most Popular Courses" %}</h2>
                <p class="style4">{{ homepage.cource_description }}</p>
            </div>
            <div class="course__wrapper">
                <div class="course__slider swiper">
                    <div class="swiper-wrapper">
                        {% for cource in cources %}
                            <div class="swiper-slide">
                                <div class="course__item">
                                    <div class="course__item-inner">
                                        <div class="course__thumb">
                                            {% if cource.photo %}
                                                <img src="{{ cource.photo.url }}" alt="course Images">
                                            {% endif %}
                                            <a href="#" class="course__btn course__btn--save"><i
                                                    class="fa-regular fa-bookmark"></i></a>
                                        </div>

                                        <div class="course__content">
                                            <div class="course__content-top">
                                                <span class="course__meta-tag course__meta-tag--cat{{ cource.category.style }}">{{ cource.category.name }}</span>
                                                <div class="course__focus-inner">
                                                    <span>4.9</span>
                                                    <img src="{% static "assets/images/course/star.png" %}" alt="review-star">
                                                    <span>(526)</span>
                                                </div>
                                            </div>
                                            <h6> <a href="{% url "cource:cource_detail" cource.id %}">{{ cource.title|slice:50 }}</a> </h6>
                                            <div class="course__content-bottom">
                                                <a href="{% url "home:mentor_detail" cource.teacher.id %}">
                                                    {% if cource.teacher.photo %}
                                                        <img src="{{ cource.teacher.photo.url }}" width='10%'
                                                        alt="avatar">
                                                    {% endif %} {{ cource.teacher.full_name }}</a>
                                                <div class="course-price">
                                                    {% if cource.get_descount_price %}
                                                    <del>{{ cource.price }} {% trans "so'm" %}</del> <span>  {{ cource.get_descount_price }} {% trans "so'm" %}</span>
                                                    {% else %}
                                                    <span>  {{ cource.price }} {% trans "so'm" %}</span>
                                                    {% endif %}

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}

                    </div>
                    <div class="slider__pagination-1"></div>
                </div>
            </div>
        </div>
    </section>

    <!-- ===============>> Popular course section end here <<================= -->



    <!-- ===============>> Story section start here <<================= -->
    <section class="story padding-top padding-bottom">
        <div class="container" data-aos="fade-up" data-aos-duration="800">
            <div class="section-header text-center">
                <h2> {% trans "Our Success Story" %}</h2>
                <p class="style2">{{ homepage.story_description }}</p>
            </div>
            <div class="story__wrapper">
                <div class="story__thumb">
                    <div class="story__thumb-inner">
                        <img src="{{ homepage.story_video_photo.url }}" alt="story-image">
                        <div class="story__thumb-playbtn">
                            <a href="{{ homepage.story_video_link }}" data-fslightbox><img
                                    src="{% static "assets/images/story/2.png" %}" alt="ply-btn"></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- ===============>> Story section end here <<================= -->


    <!-- ===============>> Team section start here <<================= -->
    <section class="team  team--style1 padding-bottom padding-top">
        <div class="container" data-aos="fade-up" data-aos-duration="800">
            <div class="team__wrapper">
                <div class="row g-4">
                    <div class="col-md-6 col-sm-12">
                        <div class="team__header" data-aos="fade-up" data-aos-duration="800" data-aos-delay="100">
                            <h2>{% trans "Meet Our Expert" %}</h2>
                            <p class="style3">{{ homepage.mentor_description }} </p>
                            <a href="{% url "home:mentor" %}" class="trk-btn trk-btn--rounded trk-btn--secondary1">{% trans "All Memebers" %}</a>
                        </div>
                    </div>
                    {% for mentor in mentors %}
                        <div class="col-lg-3 col-sm-6">
                            <div class="team__item">
                                <div class="team__item-inner">
                                    <div class="team__item-thumb">
                                        {% if  mentor.photo %}
                                         <img src="{{ mentor.photo.url }}" alt="Team Image">
                                        {% endif %}
                                    </div>
                                    <div class="team__item-content team__item-content--style1">
                                        <div class="team__item-author">
                                            <h6><a href="{% url "home:mentor_detail" mentor.id %}">{{ mentor.full_name }}</a> </h6>
                                            <p>{{ mentor.specialty }}</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </section>
    <!-- ===============>> Team section end here <<================= -->


    <!-- ===============>> Community section start here <<================= -->
    <section class="community community--style1 padding-top padding-bottom brand1-bg-1">
        <div class="container" data-aos="fade-up" data-aos-duration="800">
            <div class="section-header text-center">
                <h2> {% trans "Join the biggest" %} <br>
                    {% trans "Community of learning" %}</h2>
                <p class="style2">{{ homepage.community }}</p>
            </div>
            <div class="community__wrapper">
                <div class="community__map">
                    <div class="community__map-inner">
                        <div class="community__reviews" data-aos="fade-up" data-aos-duration="1000" data-aos-delay="50">
                            <p> <i class="fa-solid fa-heart"></i> {% trans "Happy Strudents" %} </p>
                            <div class="community__reviews-content">
                                <ul>
                                    <li><img src="{% static "assets/images/community/avator/1.png" %}" alt="user image"></li>
                                    <li><img src="{% static "assets/images/community/avator/2.png" %}" alt="user image"></li>
                                    <li><img src="{% static "assets/images/community/avator/3.png" %}" alt="user image"></li>
                                    <li><img src="{% static "assets/images/community/avator/4.png" %}" alt="user image"></li>
                                    <li><img src="{% static "assets/images/community/avator/5.png" %}" alt="user image"></li>
                                </ul>
                                <p class="count mb-0">+<span class="purecounter" data-purecounter-start="10"
                                        data-purecounter-end="25" data-purecounter-once="false">25</span>K</p>

                            </div>
                        </div>
                        <img src="{% static "assets/images/community/1.png" %}" alt="community image" data-aos="fade-up"
                            data-aos-duration="800">
                        <a href="{% url "accounts:signup" %}" class="trk-btn trk-btn--rounded trk-btn--secondary1">{% trans "Join Now" %}</a>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- ===============>> Community section end here <<================= -->



    <!-- ===============>> Testimonial section start here <<================= -->
    <section class="testimonial testimonial--style1 padding-top padding-bottom brand-1 mb-5">
        <div class="container" data-aos="fade-up" data-aos-duration="800">
            <div class="section-header text-center section-header--dark">
                <h2>{% trans "What Clients Have to Say About Us" %}</h2>
                <p class="style2">{% trans "Interdum et malesuada fames ac ante ipsum" %}</p>
            </div>
            <div class="testimonial__wrapper">
                <div class="testimonial__slider swiper">
                    <div class="swiper-wrapper">
                        {% for client_mind in client_mind %}
                            <div class="swiper-slide">
                                <div class="testimonial__item">
                                    <div class="testimonial__item-inner">
                                        <div class="testimonial__item-content">
                                            <span><i class="fa-solid fa-quote-left"></i></span>
                                            <blockquote class="blockquote">
                                                <p>{{ client_mind.body }}</p>
                                            </blockquote>
                                            <blockquote class="blockquote">
                                                <p></p>
                                            </blockquote>
                                            <div class="testimonial__item-author">
                                                <p>{{ client_mind.full_name }}</p>
                                                <span>{{ client_mind.specialty }}</span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                    <!-- <div class="testimonial__pagination"></div> -->
                </div>
                <div thumbsSlider="" class="testimonial__author swiper mt-5">
                    <div class="swiper-wrapper">
                        {% for client_photo in client_mind %}
                            <div class="swiper-slide">
                                <div class="testimonial__author-thumb">
                                    {% if client_photo.photo %}
                                        <img src="{{ client_photo.photo.url }}" alt="author-image">
                                    {% endif %}
                                </div>

                            </div>
                        {% endfor %}

                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- ===============>> Testimonial section end here <<================= -->


    <!-- ===============>> Blog section start here <<================= -->
    <section class="blog blog--style1 padding-top padding-bottom">
        <div class="container">
            <div class="blog__header">
                <h2 class="style2-h2--max20"> {% trans "Latest News, Blog & Articles" %}</h2>
                <a href="{% url "blog:blogs" %}" class="trk-btn trk-btn--rounded trk-btn--secondary1">{% trans "View More" %}</a>
            </div>
            <div class="blog__wrapper">
                <div class="row g-4">
                    {% for blog in blog %}
                        <div class="col-lg-4 col-md-6" data-aos="fade-up" data-aos-duration="600">
                            <div class="blog__item">
                                <div class="blog__item-inner">
                                    <div class="blog__thumb">
                                        {% if blog.photo1 %}
                                            <img src="{{ blog.photo1.url }}" alt="blog Images">
                                        {% endif %}
                                    </div>

                                    <div class="blog__content">
                                        <div class="blog__content-top">
                                            <span class="blog__meta-tag blog__meta-tag--cat{{ blog.style }}">{{ blog.category.name }}</span>
                                        </div>
                                        <h6> <a href="{% url "blog:blogs_detail" blog.id %}">{{ blog.title|slice:"0:50" }}</a> </h6>

                                        <div class="blog__content-bottom blog__content-bottom--border">
                                            <a href="#"><span><i class="fa-solid fa-calendar-days"></i></span>
                                            {{ blog.update_at }}
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </section>
    <!-- ===============>> Blog section end here <<================= -->

    <!-- ===============>> partner section start here <<================= -->
    <section class="partner padding-bottom" data-aos="fade-up" data-aos-duration="800">
        <div class="container">
            <div class="section-header text-center">
                <h6>{% trans "Trusted by" %} {{ companies|length }}{% trans "+ companies" %}</h6>
            </div>
            <div class="partner__wrapper">
                <div class="partner__slider swiper">
                    <div class="swiper-wrapper">
                        {% for companie in companies %}
                            <div class="swiper-slide">
                                <div class="partner__item">
                                    <div class="partner__item-inner">
                                        {% if companie.icon %}
                                            <img src="{{ companie.icon.url }}" alt="partner logo">
                                        {% endif %}
                                    </div>
                                </div>
                            </div>
                        {% endfor %}

                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- ===============>> partner section end here <<================= -->


    <!-- ===============>> newsletter start here <<================= -->
    <div class="newsletter" data-aos="fade-up" data-aos-duration="800">
        <div class="container">
            <div class="newsletter__wrapper" >
                <div class="newsletter__content">
                    <div class="newsletter__content-inner newsletter__content-inner--style1 text-center"
                        style="background-image:url({% static "assets/images/footer/2.png" %})">
                        <h2 >{% trans "Start learning future professions online with us right now" %}</h2>

                        <a href="{% url "accounts:signup" %}" class="trk-btn trk-btn--rounded trk-btn--primary1">{% trans "Join With Us" %}</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- ===============>> newsletter end here <<================= -->

{% endblock content %}